Package org.zkoss.zk.au.out

## Class AuNotification

- java.lang.Object
- - org.zkoss.zk.au.AuResponse
  - - org.zkoss.zk.au.out.AuNotification

-     public class AuNotification
      extends AuResponse

  The au object for notification.
  Since:
    6.0.1
  Author:
    simonpai

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.zkoss.zk.au.AuResponse

      `AuResponse.JSONComponent, AuResponse.JSONDate`

  - ### Field Summary

    - ### Fields inherited from class org.zkoss.zk.au.AuResponse

      `_cmd, _data, SC_ACTIVATION_TIMEOUT, SC_OUT_OF_SEQUENCE`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AuNotification​(java.lang.String msg, java.lang.String type, Page page, Component ref, int x, int y, int duration, boolean closable)` | Shows notification at given coordinate
    `AuNotification​(java.lang.String msg, java.lang.String type, Page page, Component ref, java.lang.String position, int duration, boolean closable)` | Shows notification at predefined position.

  - ### Method Summary

    - ### Methods inherited from class org.zkoss.zk.au.AuResponse

      `equals, getCommand, getDepends, getEncodedData, getOverrideKey, getRawData, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AuNotification

          public AuNotification​(java.lang.String msg,
                                java.lang.String type,
                                Page page,
                                Component ref,
                                java.lang.String position,
                                int duration,
                                boolean closable)

      Shows notification at predefined position.

    - #### AuNotification

          public AuNotification​(java.lang.String msg,
                                java.lang.String type,
                                Page page,
                                Component ref,
                                int x,
                                int y,
                                int duration,
                                boolean closable)

      Shows notification at given coordinate